import ListModule from "..";

export default ListModule.action({
  async getProfileData() {
    // const data = await this.controls.bus.requestApi("queentree.local.profile");
    // console.log(data);
    // localStorage.setItem("token", JSON.stringify(data.Token));
    // this.store.baseURL = data.BaseUrl;
    // this.actions.initExpStorage(data.BaseUrl);
  },
  async getAssetList(dbId: string, defineId: string) {
    const res = await this.https.loadAsset(dbId, defineId, this.store.baseURL);
    this.store.list = res.result.list;
  },
});
